# 08.conf
# Lab05
LoadModule ssl_module modules/mod_ssl.so
<IfModule ssl_module>
	Listen 443
	AddType application/x-x509-ca-cert .crt
	AddType application/x-pkcs7-crl .crl
	SSLPassPhraseDialog builtin
	SSLSessionCache "shmcb:C/Apache24/logs/ssl_scache(512000)"
	SSLSessionCacheTimeout 300
	SSLRandomSeed startup builtin
	SSLRandomSeed connect builtin
	<FilesMatch "\.(cgi|shtml|phtml|php)$">
		SSLOptions +StdEnvVars
	</FilesMatch>
</IfModule>

<VirtualHost *:443>
	DocumentRoot "C:/CST1611/Week/08"
	ServerName Lab05.test
	ErrorLog logs/Lab05.test.Error.log
	CustomLog logs/Lab05.test.Access.log common
	SSLEngine on
	SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
	SSLCertificateFile "C:/CST1611/Week/08/Lab05.test.crt"
	SSLCertificateKeyFile "C:/CST1611/Week/08/Lab05.test.key"
	<Directory "C:/CST1611/Week/08/">
		Options All +MultiViews
		AllowOverride All
		Require all granted
	</Directory>
</VirtualHost>